Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview
Interface StatusConstants

All Known Subinterfaces:
  AuditProtocol<Handle,Identifier>, AuthenticatorPushProtocol<Handle,Identifier>, ChallengeResponseProtocol<Handle,Identifier>, CommitmentProtocol<Handle,Identifier>, Evidence, EvidenceTool<Handle,Identifier>, IdentityTransport<Handle,Identifier>, PeerInfoStore<Handle,Identifier>, PeerReview<Handle,Identifier>, PeerReviewCallback<Handle,Identifier>, PeerReviewConstants, PeerReviewMessage, SecureHistory, StatementProtocol<Handle,Identifier>, StatusChangeListener<Identifier>, Verifier<Handle>

All Known Implementing Classes:
  AccusationMessage, AckMessage, AuditProtocolImpl, AuditResponse, AuthenticatorPushProtocolImpl, AuthPushMessage, AuthRequest, AuthResponse, BasicEntryDeserializer, Basics, ChallengeAudit, ChallengeHashPolicy, ChallengeMessage, ChallengeResponseProtocolImpl, CommitmentProtocolImpl, EvidenceSerializerImpl, EvidenceToolImpl, EvidenceTransferProtocolImpl, EvtAck, EvtInit, EvtRecv, EvtSend, EvtSendSign, EvtSign, HistoryEvent, IdentityTransportLayerImpl, MyEntryDeserializer, OutgoingUserDataMessage, PeerInfoRecord, PeerInfoStoreImpl, PeerReviewCallbackImpl, PeerReviewImpl, PRInconsistent1.ForkingSecureHistory, ProofInconsistent, ProofNonconformant, RecordLayer, RecordSocket, ReplayLayer, ReplayVerifier, ResponseMessage, SecureHistoryFactoryImpl, SecureHistoryImpl, Statement, StatementProtocolImpl, UserDataMessage, VerifierImpl

    public interface StatusConstants

Field Summary
`static int` | `STATUS_EXPOSED`
`static int` | `STATUS_SUSPECTED`
`static int` | `STATUS_TRUSTED`

Field Detail

### STATUS_TRUSTED

    static final int STATUS_TRUSTED

See Also:
  Constant Field Values

### STATUS_SUSPECTED

    static final int STATUS_SUSPECTED

See Also:
  Constant Field Values

### STATUS_EXPOSED

    static final int STATUS_EXPOSED

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.